Bug 100433 - LTC3562 - readprofile does not work on RHEL3 for ppc64
Summary: LTC3562 - readprofile does not work on RHEL3 for ppc64
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julie DeWandel
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-22 12:20 UTC by Kaena Freitas
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 16:18:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
readprofile -- accommodate 64-bit addresses (2.33 KB, patch)
2003-07-22 12:21 UTC, Kaena Freitas
no flags Details | Diff

Description Kaena Freitas 2003-07-22 12:20:18 UTC
Summary: readprofile does not work on RHEL 3.0 for ppc64
            Vendor: Red Hat Linux for pSeries
           Version: RHEL 3.0
          Platform: pSeries
      Architecture: PPC-64
Submitting Project: pSeries Performance
 Customer Priority: P3
       Owning Team: pSeries
    OSC Acceptance: N/S
   Customer Status: N/S
     Required Date: 0000-00-00 00:00:00
       Target Date: 2000-00-00 00:00:00
     Make External: NO
            Status: OPEN
     Test Activity: Performance
    Reported Phase: Internal Beta
Technical Severity: normal
 Engineer Priority: P2
         Component: General Tools and Utilities
             Owner: kaena@us.ibm.com
       SubmittedBy: twichell@us.ibm.com
         QAContact: olof@us.ibm.com


Please fill in each of the sections below.

Hardware Environment:
44P-270

Software Environment:
RHEL 3.0 alpha 3

Steps to Reproduce:
1.  Edit /etc/lilo.conf, adding " profile=2" to append line in stanza.
2.  Run lilo.
3.  Reboot
4.  Run "readprofile -m /boot/System.map-2.4.20-1.1931.2.231.2.11.ent

Actual Results:
    0 total                                         nan    

Expected Results:
     2 InstructionAccess_common                   0.0067    
     2 SystemCall_common                          0.0079    
   539 do_profile                                 6.7375    
    14 .DoSyscall                                 0.1000    
     3 .ret_from_syscall_1                        0.0153    
     5 .ret_from_except                           0.4167    
     8 .ret_to_user_hook                          0.1818    
... and so on ...

Additional Information:
This occurs with kernel-2.4.20-1.1931.2.231.2.11.ent, and util-linux-2.11y-17.

Comment 1 Kaena Freitas 2003-07-22 12:21:49 UTC
Created attachment 93040 [details]
readprofile -- accommodate 64-bit addresses

Comment 2 Elliot Lee 2003-07-23 16:18:50 UTC
Patch applied


Note You need to log in before you can comment on or make changes to this bug.